> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events



## OpenAPI

````yaml api-reference/statsig_openapi.json get /console/v1/events
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/events:
    get:
      tags:
        - Events
      summary: List Events
      parameters:
        - name: limit
          required: false
          in: query
          description: Results per page
          schema:
            example: 10
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            example: 1
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List Events response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginationResponseWithMessage'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/LoggedEventDto'
                example:
                  message: Event values listed successfully.
                  data:
                    - timestamp: '1720567284328'
                      name: time_spent_on_page
                      source: statsig-node
                      value: '463'
                      userID: '1922'
                      metadata: {}
                    - timestamp: '1720567284328'
                      name: add_to_cart
                      source: statsig-node
                      value: appliances
                      userID: '1922'
                      metadata: {}
                    - timestamp: '1720567284321'
                      name: time_spent_on_page
                      source: statsig-node
                      value: '421'
                      userID: '1026'
                      metadata: {}
                    - timestamp: '1720567284321'
                      name: add_to_cart
                      source: statsig-node
                      value: electronics
                      userID: '1026'
                      metadata: {}
                    - timestamp: '1720567284485'
                      name: time_spent_on_page
                      source: statsig-node
                      value: '273'
                      userID: '8455'
                      metadata: {}
                  pagination:
                    itemsPerPage: 5
                    pageNumber: 1
                    totalItems: 1000
                    nextPage: /console/v1/events?page=2&limit=5
                    previousPage: null
                    all: /console/v1/events
              example:
                message: Event values listed successfully.
                data:
                  - timestamp: '1720567284328'
                    name: time_spent_on_page
                    source: statsig-node
                    value: '463'
                    userID: '1922'
                    metadata: {}
                  - timestamp: '1720567284328'
                    name: add_to_cart
                    source: statsig-node
                    value: appliances
                    userID: '1922'
                    metadata: {}
                  - timestamp: '1720567284321'
                    name: time_spent_on_page
                    source: statsig-node
                    value: '421'
                    userID: '1026'
                    metadata: {}
                  - timestamp: '1720567284321'
                    name: add_to_cart
                    source: statsig-node
                    value: electronics
                    userID: '1026'
                    metadata: {}
                  - timestamp: '1720567284485'
                    name: time_spent_on_page
                    source: statsig-node
                    value: '273'
                    userID: '8455'
                    metadata: {}
                pagination:
                  itemsPerPage: 5
                  pageNumber: 1
                  totalItems: 1000
                  nextPage: /console/v1/events?page=2&limit=5
                  previousPage: null
                  all: /console/v1/events
        '400':
          description: Invalid request. Please check the request input and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Invalid Request:
                  value:
                    status: 400
                    message: >-
                      Invalid request. Please check the request input and try
                      again.
        '401':
          description: >-
            This endpoint only accepts an active CONSOLE key, but an invalid key
            was sent. Key: console-xxxXXXxxxXXXxxx
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 401
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Invalid Endpoint:
                  value:
                    status: 401
                    message: >-
                      This endpoint only accepts an active CONSOLE key, but an
                      invalid key was sent. Key: console-xxxXXXxxxXXXxxx
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    PaginationResponseWithMessage:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          description: Array of results returned by pagination limit.
          type: array
          items:
            type: object
        pagination:
          description: Pagination metadata for checking if there is next page for example.
          allOf:
            - $ref: '#/components/schemas/PaginationResponseMetadataDto'
      required:
        - message
        - data
        - pagination
    LoggedEventDto:
      type: object
      properties:
        timestamp:
          type: string
          description: The timestamp when the event occurred, represented as a string.
        name:
          type: string
          description: The name of the event (e.g., "add_to_cart").
        source:
          type: string
          description: The source of the event, indicating where it was triggered from.
        value:
          type: string
          description: The value associated with the event, providing additional context.
        userID:
          type: string
          description: The ID of the user who triggered the event.
      required:
        - timestamp
        - name
        - source
        - value
        - userID
    PaginationResponseMetadataDto:
      type: object
      properties:
        itemsPerPage:
          type: number
        pageNumber:
          type: number
        nextPage:
          type: string
          nullable: true
        previousPage:
          type: string
          nullable: true
        totalItems:
          type: number
        all:
          type: string
      required:
        - itemsPerPage
        - pageNumber
        - nextPage
        - previousPage
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````